BasicFavoritesNavigatorUI

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help.plaf.basic
Class BasicFavoritesNavigatorUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.help.plaf.HelpNavigatorUI
                  |
                  +--javax.help.plaf.basic.BasicFavoritesNavigatorUI

All Implemented Interfaces:
  java.util.EventListener, HelpModelListener, HelpSetListener, java.beans.PropertyChangeListener, java.io.Serializable, javax.swing.event.TreeModelListener, javax.swing.event.TreeSelectionListener

public class BasicFavoritesNavigatorUI
extends HelpNavigatorUI
implements HelpModelListener, javax.swing.event.TreeSelectionListener, HelpSetListener, java.beans.PropertyChangeListener, javax.swing.event.TreeModelListener, java.io.Serializable

The default UI for JHelpNavigator of type Favorites

See Also:
  Serialized Form

Nested Class Summary
`class` | `BasicFavoritesNavigatorUI.AddAction` AddAction class.
`class` | `BasicFavoritesNavigatorUI.CopyAction` CopyAction class.
`class` | `BasicFavoritesNavigatorUI.CutAction` CutAction class.
`class` | `BasicFavoritesNavigatorUI.FavoritesTree` Class for JTree supported D&D features.
`class` | `BasicFavoritesNavigatorUI.FolderAction` FolderAction class.
`class` | `BasicFavoritesNavigatorUI.PasteAction` PasteAction class.
`class` | `BasicFavoritesNavigatorUI.PopupListener` PopupListener class
`class` | `BasicFavoritesNavigatorUI.RemoveAction` RemoveAction class.

Constructor Summary
`BasicFavoritesNavigatorUI(JHelpFavoritesNavigator b)` Creates BasicFavoritesUI for JHelpFavoritesNavigator

Method Summary
`static javax.swing.plaf.ComponentUI` | `createUI(javax.swing.JComponent x)`
`javax.swing.Action` | `getAddAction()` Returns the Add action
`javax.swing.Action` | `getCopyAction()` Returns the CopyAction Object
`javax.swing.Action` | `getCutAction()` Returns the CutAction object
`javax.swing.Action` | `getFolderAction()` Returns the FolderAction object
`java.awt.Dimension` | `getMaximumSize(javax.swing.JComponent c)`
`java.awt.Dimension` | `getMinimumSize(javax.swing.JComponent c)`
`javax.swing.Action` | `getPasteAction()` Returns the PasteAction object
`java.awt.Dimension` | `getPreferredSize(javax.swing.JComponent c)`
`javax.swing.Action` | `getRemoveAction()` Returns the RemoveAction object
`FavoritesNode` | `getSelectedNode()` Returns the selected node
`void` | `helpSetAdded(HelpSetEvent ev)` Invoked when a new HelpSet is added.
`void` | `helpSetRemoved(HelpSetEvent ev)` Invoked when a new HelpSet is removed.
`void` | `idChanged(HelpModelEvent e)` Processes and idChanged event.
`void` | `installUI(javax.swing.JComponent c)`
`void` | `propertyChange(java.beans.PropertyChangeEvent event)`
`void` | `saveFavorites()` Saves favorites to the file
`void` | `treeNodesChanged(javax.swing.event.TreeModelEvent treeModelEvent)`
`void` | `treeNodesInserted(javax.swing.event.TreeModelEvent treeModelEvent)`
`void` | `treeNodesRemoved(javax.swing.event.TreeModelEvent treeModelEvent)`
`void` | `treeStructureChanged(javax.swing.event.TreeModelEvent treeModelEvent)`
`void` | `uninstallUI(javax.swing.JComponent c)`
`void` | `valueChanged(javax.swing.event.TreeSelectionEvent e)` Finds the subnode with certain id and name

Methods inherited from class javax.help.plaf.HelpNavigatorUI
`getIcon, getImageIcon, merge, remove, setIcon`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, paint, update`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicFavoritesNavigatorUI

    public BasicFavoritesNavigatorUI(JHelpFavoritesNavigator b)

  Creates BasicFavoritesUI for JHelpFavoritesNavigator

Method Detail

### createUI

    public static javax.swing.plaf.ComponentUI createUI(javax.swing.JComponent x)

### installUI

    public void installUI(javax.swing.JComponent c)

  Overrides:
    `installUI` in class `javax.swing.plaf.ComponentUI`

### uninstallUI

    public void uninstallUI(javax.swing.JComponent c)

  Overrides:
    `uninstallUI` in class `javax.swing.plaf.ComponentUI`

### getPreferredSize

    public java.awt.Dimension getPreferredSize(javax.swing.JComponent c)

  Overrides:
    `getPreferredSize` in class `javax.swing.plaf.ComponentUI`

### getMinimumSize

    public java.awt.Dimension getMinimumSize(javax.swing.JComponent c)

  Overrides:
    `getMinimumSize` in class `javax.swing.plaf.ComponentUI`

### getMaximumSize

    public java.awt.Dimension getMaximumSize(javax.swing.JComponent c)

  Overrides:
    `getMaximumSize` in class `javax.swing.plaf.ComponentUI`

### idChanged

    public void idChanged(HelpModelEvent e)

  Processes and idChanged event. In this navigator works with url too.

  Specified by:
    `idChanged` in interface `HelpModelListener`
  Parameters:
    `e` - The HelpModelEvent

### valueChanged

    public void valueChanged(javax.swing.event.TreeSelectionEvent e)

  Finds the subnode with certain id and name

  Specified by:
    `valueChanged` in interface `javax.swing.event.TreeSelectionListener`

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent event)

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`

### helpSetAdded

    public void helpSetAdded(HelpSetEvent ev)

  Description copied from interface: `HelpSetListener`
  Invoked when a new HelpSet is added.

  Specified by:
    `helpSetAdded` in interface `HelpSetListener`
  Parameters:
    `ev` - The event

### helpSetRemoved

    public void helpSetRemoved(HelpSetEvent ev)

  Description copied from interface: `HelpSetListener`
  Invoked when a new HelpSet is removed.

  Specified by:
    `helpSetRemoved` in interface `HelpSetListener`
  Parameters:
    `ev` - The event

### saveFavorites

    public void saveFavorites()

  Saves favorites to the file

### treeStructureChanged

    public void treeStructureChanged(javax.swing.event.TreeModelEvent treeModelEvent)

  Specified by:
    `treeStructureChanged` in interface `javax.swing.event.TreeModelListener`

### treeNodesInserted

    public void treeNodesInserted(javax.swing.event.TreeModelEvent treeModelEvent)

  Specified by:
    `treeNodesInserted` in interface `javax.swing.event.TreeModelListener`

### treeNodesRemoved

    public void treeNodesRemoved(javax.swing.event.TreeModelEvent treeModelEvent)

  Specified by:
    `treeNodesRemoved` in interface `javax.swing.event.TreeModelListener`

### treeNodesChanged

    public void treeNodesChanged(javax.swing.event.TreeModelEvent treeModelEvent)

  Specified by:
    `treeNodesChanged` in interface `javax.swing.event.TreeModelListener`

### getSelectedNode

    public FavoritesNode getSelectedNode()

  Returns the selected node

### getAddAction

    public javax.swing.Action getAddAction()

  Returns the Add action

  Overrides:
    `getAddAction` in class `HelpNavigatorUI`

### getRemoveAction

    public javax.swing.Action getRemoveAction()

  Returns the RemoveAction object

### getFolderAction

    public javax.swing.Action getFolderAction()

  Returns the FolderAction object

### getCutAction

    public javax.swing.Action getCutAction()

  Returns the CutAction object

### getPasteAction

    public javax.swing.Action getPasteAction()

  Returns the PasteAction object

### getCopyAction

    public javax.swing.Action getCopyAction()

  Returns the CopyAction Object

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD